# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Perl module for resolving POD escape sequences
Name:		perl-Pod-Escapes
Epoch:		1
Version:	1.07
Release:	490.%{__distinit}%{__distvers}
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Pod-Escapes
Source0:	https://cpan.metacpan.org/modules/by-module/Pod/Pod-Escapes-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test)
BuildRequires:	perl(utf8)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module provides things that are useful in decoding Pod E<...> sequences.
Presumably, it should be used only by Pod parsers and/or formatters.

By default, Pod::Escapes exports none of its symbols. But you can request any
of them to be exported. Either request them individually, as with use
Pod::Escapes qw(symbolname symbolname2...);, or you can do use
Pod::Escapes qw(:ALL); to get all exportable symbols.

%prep
%setup -q -n Pod-Escapes-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Pod/Escapes.pm
%{_mandir}/man3/Pod::Escapes.3*

%changelog
* Fri Jul  7 2023 Paul Howarth <paul@city-fan.org> - 1:1.07-490
- Switch upstream from search.cpan.org to metacpan.org
- Use SPDX-format license tag

* Mon Apr 16 2018 Paul Howarth <paul@city-fan.org> - 1:1.07-395
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Wed Sep 21 2016 Paul Howarth <paul@city-fan.org> - 1:1.07-365
- Epoch bump as per Fedora package
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Dec 10 2014 Paul Howarth <paul@city-fan.org> - 1.07-1
- Update to 1.07
  - A bunch of changes for EBCDIC support
  - Fix typo in comment
  - Reorder structure definitions
  - Documentation clarification
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4

* Fri Feb 14 2014 Paul Howarth <paul@city-fan.org> - 1.06-1
- Update to 1.06
  - e2charnum() was using \d but should use [0-9] (CPAN RT#70246)
  - Added a bunch of pod-related links to SEE ALSO

* Mon Feb 10 2014 Paul Howarth <paul@city-fan.org> - 1.05-1
- Update to 1.05
  - Added PREREQ_PM, MIN_PERL_VERSION, LICENSE and repo to Makefile.PL
  - Made strict- and warnings-clean
  - Fixed syntax error in abstract (CPAN RT#49985)
  - Fixed typo (CPAN RT#85374)
  - Renamed ChangeLog to Changes and reformatted as per CPAN::Changes::Spec
  - Deleted META.yml so MakeMaker will generate MYMETA.{yml,json}
  - Noted in pod that now being maintained by NEILB
  - Added link to github repo in pod
- This release by NEILB -> update source URL

* Mon Jun 11 2012 Paul Howarth <paul@city-fan.org> - 1.04-10
- BR: perl(Exporter) and perl(Test)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Jul  6 2011 Paul Howarth <paul@city-fan.org> - 1.04-9
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.04-8
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> - 1.04-7
- Fix dist tag to work with RHEL6 Beta

* Tue Mar  2 2010 Paul Howarth <paul@city-fan.org> - 1.04-6
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep 22 2009 Paul Howarth <paul@city-fan.org> - 1.04-5
- Define RPM macros in global scope

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> - 1.04-4
- No need to set CFLAGS when building a noarch package
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Sat Mar 17 2007 Paul Howarth <paul@city-fan.org> - 1.04-3
- Fix dist tag for development releases, CentOS, and Fedora 7 onwards
- Remove buildroot unconditionally in %%clean and %%install
- No need for %%{perl_vendorarch} macro in noarch package
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org URLs
- Define %%{__id_u} in a more portable way
- Add buildreq perl(ExtUtils::MakeMaker)

* Tue May 31 2005 Paul Howarth <paul@city-fan.org> - 1.04-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> - 1.04-1
- Initial build
